summaryrefslogtreecommitdiff
path: root/start_notification_service
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2018-04-30 17:24:27 +0300
committerLars Wirzenius <liw@liw.fi>2018-06-10 19:44:48 +0300
commitfd3fd66a1db8925e5a9a3d34acdd213f49378877 (patch)
tree5246b011f1cd035417fbca0a361b78fc630b2317 /start_notification_service
parent9759c2b51a1250aa345c21b7cc6b793f4965ac2d (diff)
downloadick2-fd3fd66a1db8925e5a9a3d34acdd213f49378877.tar.gz
Add: notification service
Diffstat (limited to 'start_notification_service')
-rw-r--r--start_notification_service20
1 files changed, 20 insertions, 0 deletions
diff --git a/start_notification_service b/start_notification_service
new file mode 100644
index 0000000..c35ef60
--- /dev/null
+++ b/start_notification_service
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Copyright (C) 2018 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eux
+
+export NOTIFICATION_SERVICE_CONFIG=/etc/ick/notifications.yaml
+python3 /usr/lib/python3/dist-packages/notification_service.py